package com.sikey.wa04.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author: qin
 * @Date: 2025/3/18
 * @Description: 身份
 */
@AllArgsConstructor
@Getter
public enum IdentityEnum {

    // 默认(一般孩子也是0)
    IDENTITY_DEFAULT(0),

    // 其他人
    IDENTITY_OTHER(1),

    // 家人
    IDENTITY_FAMILY(2),

    // 管理员
    IDENTITY_ADMIN(3),

    // 超级管理员
    IDENTITY_SUPER_ADMIN(4);


    private final Integer value;


    public static IdentityEnum valueOf(Integer value) {
        for (IdentityEnum identityEnum : values()) {
            if (identityEnum.value.equals(value)) {
                return identityEnum;
            }
        }
        throw new RuntimeException("Unknown identity type: " + value);
    }
}
